PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractsWithZoneEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

t

net.psforever.objects.serverobject.environment

# PieceOfEnvironment

###
Companion object PieceOfEnvironment

#### trait PieceOfEnvironment extends AnyRef

The representation of a feature of the game world that is not a formal game object, usually terrain, but can be used to represent any bounded region.

Source
  PieceOfEnvironment.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
GantryDenialField, Pool, SeaLevel

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PieceOfEnvironment
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def attribute: EnvironmentTrait

   a general description of this environment

2.  abstract def collision: EnvironmentCollision

   a special representation of the region that qualifies as "this environment"

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def testInteraction(pos: Vector3, varDepth: Float): Boolean

    Is the test point "within" the bounds of the represented environment?

    Is the test point "within" the bounds of the represented environment?

    pos

      the test point

    varDepth

      how far "into" the environment the point must be

    returns

      `true`, if the point is sufficiently "deep"; `false`, otherwise

17.  def testStepIntoInteraction(pos: Vector3, previousPos: Vector3, varDepth: Float): Option[Boolean]

    Did the test point move into or leave the bounds of the represented environment since its previous test?

    Did the test point move into or leave the bounds of the represented environment since its previous test?

    pos

      the test point

    previousPos

      the previous test point which is being compared against

    varDepth

      how far "into" the environment the point must be

    returns

      `Some(true)`, if the point has become sufficiently "deep"; `Some(false)`, if the point has left the sufficiently "deep" region; `None`, otherwise

18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped